Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
OSXFont Class Reference

`#include <osxFont.h>`

Inheritance diagram for OSXFont:

## Public Member Functions
| OSXFont ()
virtual | ~OSXFont ()
virtual bool | create (const char *name, U32 size, U32 charset=TGE_ANSI_CHARSET)
| Look up the requested font, cache style, layout, colorspace, and some metrics. More...
virtual bool | isValidChar (const UTF16 character) const
| Determine if the character requested is a drawable character, or if it should be ignored. More...
virtual bool | isValidChar (const UTF8 *str) const
virtual U32 | getFontHeight () const
| Get some vertical data on the font at large. Useful for drawing multiline text, and sizing text boxes. More...
virtual U32 | getFontBaseLine () const
virtual PlatformFont::CharInfo & | getCharInfo (const UTF16 character) const
virtual PlatformFont::CharInfo & | getCharInfo (const UTF8 *str) const
Public Member Functions inherited from PlatformFont
| PlatformFont ()
virtual | ~PlatformFont ()

## Additional Inherited Members
Static Public Member Functions inherited from PlatformFont
static void | enumeratePlatformFonts (Vector< StringTableEntry > &fonts)

## Constructor & Destructor Documentation

OSXFont | ( |  | ) |

~OSXFont | ( |  | ) |
| virtual

## Member Function Documentation

bool create | ( | const char * | name,
|  | U32 | size,
|  | U32 | charset = `TGE_ANSI_CHARSET`
| ) |  |
| virtual

Look up the requested font, cache style, layout, colorspace, and some metrics.

Implements PlatformFont.

PlatformFont::CharInfo & getCharInfo | ( | const UTF16 | character | ) | const
| virtual

Implements PlatformFont.

PlatformFont::CharInfo & getCharInfo | ( | const UTF8 * | str | ) | const
| virtual

Implements PlatformFont.

virtual U32 getFontBaseLine | ( |  | ) | const
| inline virtual

Implements PlatformFont.

virtual U32 getFontHeight | ( |  | ) | const
| inline virtual

Get some vertical data on the font at large. Useful for drawing multiline text, and sizing text boxes.

Implements PlatformFont.

bool isValidChar | ( | const UTF16 | character | ) | const
| virtual

Determine if the character requested is a drawable character, or if it should be ignored.

Implements PlatformFont.

bool isValidChar | ( | const UTF8 * | str | ) | const
| virtual

Implements PlatformFont.

The documentation for this class was generated from the following files:

- platformOSX/osxFont.h
- platformOSX/osxFont.mm